package com.heyu.api.alibaba.request.mm.order;


import com.alibaba.fastjson.JSON;
import com.heyu.api.alibaba.request.mm.AdminBaseDTO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
public class VvToShippingDTO extends AdminBaseDTO {

    /***
     * 子订单号 ，是否必填写 ： 是
     */
    private List<Long> tradeOrderLineIds;

    //包裹图片url  ， 是否必填写 ： 否X
    private List<String> packageImageUrls;

    //订单追踪号 ， 是否必填写 ： 是
    private String trackNumber;

    //物流公司 ， 是否必填写 ： 否
    private String logisticsCompany;

    //发货地址 ： 是否必填写 ： 否
    private String shippingFrom;

    //运费 是否必填写 ： 否
    private BigDecimal shippingAmount = BigDecimal.ZERO;

    //卖家id
    private Long sellerId;

    //卖家仓库地址id
    private Long sellerWarehouseId;


    public static void main(String[] args) {

        VvToShippingDTO vvToPackDTO = new VvToShippingDTO();
        List<Long> tradeOrderLineIds = new ArrayList<>();
        tradeOrderLineIds.add(202511172476L);

        List<String> packageImageUrls = new ArrayList<>();
        packageImageUrls.add("ioewoie");
        packageImageUrls.add("ioewoi2");

        vvToPackDTO.setTrackNumber("78952449837174");
        vvToPackDTO.setTradeOrderLineIds(tradeOrderLineIds);
        vvToPackDTO.setPackageImageUrls(packageImageUrls);


        System.out.println(JSON.toJSONString(vvToPackDTO));


    }

}


